//$Id: install.js,v 1.14 2004/11/14 12:53:04 jaap Exp $

const APP_DISPLAY_NAME = "DictionarySearch";
const APP_NAME = "dictionarysearch";
const APP_PACKAGE = "dictionarysearch.mozdev.org/";
const APP_VERSION = "0.8";

const APP_JAR_FILE = APP_NAME+".jar";
initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef = getFolder("Profile", "chrome");

var err = addFile(APP_PACKAGE, APP_VERSION, 'chrome/'+APP_JAR_FILE, chromef, null)
if(err == SUCCESS) { 
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(CONTENT | PROFILE_CHROME, jar, 'content/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/en-US/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/zh-TW/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/de-DE/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/fr-FR/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/pl-PL/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/it-IT/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/pt-BR/'+APP_NAME+'/');
	registerChrome(LOCALE | PROFILE_CHROME, jar, 'locale/nb-NO/'+APP_NAME+'/');
	
	err = performInstall();
	if(err == SUCCESS) {
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+"Please restart your browser before continuing.");
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to mozilla/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
